#!/usr/bin/python
import oauth.oauth as oauth
import time
import requests
import yaml
import sys
try:
    with open(sys.argv[1]) as fily:
        data_dict = yaml.load(fily.read())
        maas_ds = data_dict.get('datasource', {}).get('MAAS', {})
except:
    print(sys.exc_info()[0])
    raise SystemExit("can't read file :( boo")
if not maas_ds:
    raise SystemExit("No MAAS datasource in file :( boo")

url = maas_ds['metadata_url'] + "/2012-03-01/" + sys.argv[2]

consumer_key = maas_ds['consumer_key']
token_key = maas_ds['token_key']
token_secret = maas_ds['token_secret']

consumer = oauth.OAuthConsumer(consumer_key, "")
token = oauth.OAuthToken(token_key, token_secret)
ts = int(time.time())


params = {'oauth_version': "1.0",
          'oauth_nonce': oauth.generate_nonce(),
          'oauth_timestamp': ts,
          'oauth_token': token.key,
          'oauth_consumer_key': consumer.key,
          }
req = oauth.OAuthRequest(http_url=url, parameters=params)
req.sign_request(oauth.OAuthSignatureMethod_PLAINTEXT(),
                 consumer, token)
print(req.to_header())
headers = {}
headers.update(req.to_header())
print(headers)
reqo = requests.get(url, headers=headers)
print(reqo.content)
print(reqo.headers)
